## tlp 0.7

=== Makefile ===
# Makefile for TLP

# Important: solely changing destination paths via parameter will
#   render the installation unusable. You have to change several
#   definitions and absolute paths in scripts too!

# Evaluate parameters
TLP_LIBDIR ?= /usr/lib
TLP_SBIN   ?= /usr/sbin
TLP_BIN    ?= /usr/bin
TLP_TLIB    = $(TLP_LIBDIR)/tlp-pm
TLP_PLIB    = $(TLP_LIBDIR)/pm-utils
TLP_ULIB   ?= /lib/udev
TLP_ACPI   ?= /etc/acpi
TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
TLP_CONF   ?= /etc/default/tlp
TLP_SYSD   ?= /lib/systemd/system

# Catenate DESTDIR to paths
_SBIN  = $(DESTDIR)$(TLP_SBIN)
_BIN   = $(DESTDIR)$(TLP_BIN)
_TLIB  = $(DESTDIR)$(TLP_TLIB)
_PLIB  = $(DESTDIR)$(TLP_PLIB)
_ULIB  = $(DESTDIR)$(TLP_ULIB)
_ACPI  = $(DESTDIR)$(TLP_ACPI)
_NMDSP = $(DESTDIR)$(TLP_NMDSP)
_CONF  = $(DESTDIR)$(TLP_CONF)
_SYSD  = $(DESTDIR)$(TLP_SYSD)

# Make targets
all:
	@true

clean:
	@true

install-tlp:
	# Package tlp
	install -D -m 755 tlp $(_SBIN)/tlp
	install -D -m 755 tlp-rf $(_BIN)/bluetooth
	ln -sf bluetooth $(_BIN)/wifi
	ln -sf bluetooth $(_BIN)/wwan
	install -m 755 tlp-run-on $(_BIN)/run-on-ac
	ln -sf run-on-ac $(_BIN)/run-on-bat
	install -m 755 tlp-stat $(_BIN)/
	install -m 755 tlp-usblist $(_BIN)/
	install -m 755 tlp-pcilist $(_BIN)/
ifneq ($(TLP_NO_TPACPI),1)
	install -D -m 755 tpacpi-bat $(_TLIB)/tpacpi-bat
endif
	install -D -m 755 tlp-functions $(_TLIB)/tlp-functions
	install -m 755 tlp-rf-func $(_TLIB)/
	install -m 755 tlp-nop $(_TLIB)/
	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
ifneq ($(TLP_NO_INIT),1)
	install -D -m 755 tlp.init $(DESTDIR)/etc/init.d/tlp
endif
ifeq ($(TLP_WITH_SYSTEMD),1)
	install -D -m 644 tlp.service $(_SYSD)/tlp.service
	install -m 644 tlp-sleep.service $(_SYSD)/
endif
ifneq ($(TLP_NO_PMUTILS),1)
	install -D -m 755 49tlp $(_PLIB)/sleep.d/49tlp
endif
	install -D -m 644 thinkpad-radiosw $(_ACPI)/events/thinkpad-radiosw
	install -m 755 thinkpad-radiosw.sh $(_ACPI)/
ifneq ($(TLP_NO_BASHCOMP),1)
	install -D -m 644 tlp.bash_completion $(DESTDIR)/etc/bash_completion.d/tlp
endif

install-rdw:
	# Package tlp-rdw
	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm

install: install-tlp install-rdw

uninstall-tlp:
	# Package tlp
	rm $(_SBIN)/tlp
	rm $(_BIN)/bluetooth
	rm $(_BIN)/wifi
	rm $(_BIN)/wwan
	rm $(_BIN)/run-on-ac
	rm $(_BIN)/run-on-bat
	rm $(_BIN)/tlp-stat
	rm $(_BIN)/tlp-usblist
	rm $(_BIN)/tlp-pcilist
	rm -f $(_TLIB)/tpacpi-bat
	rm $(_TLIB)/tlp-functions
	rm $(_TLIB)/tlp-rf-func
	rm $(_TLIB)/tlp-nop
	rmdir $(_TLIB)
	rm $(_ULIB)/tlp-usb-udev
	rm $(_ULIB)/rules.d/85-tlp.rules
	rm -f $(DESTDIR)/etc/init.d/tlp
	rm -f $(_SYSD)/tlp.service
	rm -f $(_SYSD)/tlp-sleep.service
	rm -f $(_PLIB)/sleep.d/49tlp
	rm $(_ACPI)/events/thinkpad-radiosw
	rm $(_ACPI)/thinkpad-radiosw.sh
	rm -f $(DESTDIR)/etc/bash_completion.d/tlp

uninstall-rdw:
	# Package tlp-rdw
	rm $(_ULIB)/rules.d/85-tlp-rdw.rules
	rm $(_ULIB)/tlp-rdw-udev
	rm $(_NMDSP)/99tlp-rdw-nm

uninstall: uninstall-tlp uninstall-rdw

=== debian/changelog ===
tlp (0.7-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * Add patch (from upstream):
    - 0001-Issue-124-tlp-recalibrate-fix-exitcode-check.patch
  * debian/rules: support for non-systemd installs w/ pm-utils
  * debian/control:
    - Add depends: pciutils, usbutils
    - Remove depends: util-linux (essential package)
    - Long description updated
  * debian/tlp.init: add option "status"
  * debian/tlp.postinst: consider pm-utils dirs not present

 -- Thomas Koch <linrunner@gmx.net>  Thu, 26 Feb 2015 18:51:42 +0100

tlp (0.6-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * debian/rules: systemd support
  * debian/control:
    - Remove depends: pm-utils
    - Add depends: hdparm, iw | wireless-tools, rfkill, util-linux
    - Add suggests: acpi-call-dkms
  * debian/tlp.postinst/postrm: mask/unmask systemd-rfkill@.service
  * debian/patches/* removed (changes are in upstream now)

  [ Andreas Tille ]
  * Add Build-Depends: dh-systemd

 -- Thomas Koch <linrunner@gmx.net>  Sat, 11 Oct 2014 22:42:24 +0200

tlp (0.5-1) unstable; urgency=low

  * Initial Debian package submission (Closes: #711471).

 -- Thomas Koch <linrunner@gmx.net>  Sun, 31 Aug 2014 19:12:42 +0200

=== debian/control ===
Source: tlp
Maintainer: Thomas Koch <linrunner@gmx.net>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-systemd
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/tlp.git
Homepage: http://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: ${misc:Depends},
         hdparm,
         iw | wireless-tools,
         pciutils,
         rfkill,
         usbutils
Recommends: tlp-rdw,
            ethtool,
            smartmontools
Suggests: tp-smapi-dkms,
          acpi-call-dkms
Conflicts: laptop-mode-tools
Description: Save battery power on laptops
 TLP is an advanced power management tool for Linux. It comes with a
 default configuration already optimized for battery life. At the same
 time it is highly customizable to fulfil specific user requirements.
 .
 TLP supplies separate settings profiles for AC and battery power and can
 enable or disable bluetooth, WiFi and WWAN radio devices upon system startup.
 .
 For ThinkPads it provides a unified way to configure charging thresholds and
 recalibrate the battery for all models which support it (via tp-smapi or
 acpi-call).
 .
 TLP is a pure command line tool with automated background tasks, it
 does not contain a GUI.

Package: tlp-rdw
Architecture: all
Depends: ${misc:Depends},
         network-manager,
         tlp
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of
  - bluetooth, wifi, wwan radio devices
  - upon network connect/disconnect
  - and dock/undock.

## tlp 0.8

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
+TLP_SHCPL  ?= /usr/share/bash-completion/completions
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -26,6 +27,7 @@
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
+_SHCPL = $(DESTDIR)$(TLP_SHCPL)
 
 # Make targets
 all:
@@ -67,7 +69,7 @@
 	install -D -m 644 thinkpad-radiosw $(_ACPI)/events/thinkpad-radiosw
 	install -m 755 thinkpad-radiosw.sh $(_ACPI)/
 ifneq ($(TLP_NO_BASHCOMP),1)
-	install -D -m 644 tlp.bash_completion $(DESTDIR)/etc/bash_completion.d/tlp
+	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
 endif
 
 install-rdw:
@@ -102,7 +104,7 @@
 	rm -f $(_PLIB)/sleep.d/49tlp
 	rm $(_ACPI)/events/thinkpad-radiosw
 	rm $(_ACPI)/thinkpad-radiosw.sh
-	rm -f $(DESTDIR)/etc/bash_completion.d/tlp
+	rm -f $(_SHCPL)/tlp
 
 uninstall-rdw:
 	# Package tlp-rdw

=== debian/changelog ===
tlp (0.8-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream release
  * debian/control:
    - Add Recommends: linux-tools
    - New Maintainer (Raphaël Halimi)
  * debian/tlp.maintscript (new):
    - add rm_conffile /etc/bash_completion.d/tlp
      (upstream moved file to /usr/share/bash-completion/completions/)

  [ Raphaël Halimi ]
  * Remove debian/patches

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 11 Aug 2015 19:53:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tlp
-Maintainer: Thomas Koch <linrunner@gmx.net>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -19,6 +19,7 @@
          usbutils
 Recommends: tlp-rdw,
             ethtool,
+            linux-tools,
             smartmontools
 Suggests: tp-smapi-dkms,
           acpi-call-dkms

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# debian/rules for TLP

# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Build: no binaries to build; but keeps lintian happy ...
build-arch:
	# do nothing
build-indep:
	# do nothing
build: build-indep build-arch

# Cleanup after build
clean:
	dh_testdir
	dh_testroot
	# add here commands to clean up after the build process.
	# $(MAKE) clean
	dh_clean

# Install tlp
tlp:
	dh_testdir
	dh_testroot
	dh_prep

	# install into debian/tlp.
	$(MAKE) TLP_WITH_SYSTEMD=1 TLP_NO_PMUTILS=0 TLP_NO_INIT=1 DESTDIR=$(CURDIR)/debian/$@ install-tlp

	dh_installchangelogs -p$@
	dh_installdocs -p$@
	dh_systemd_enable -p$@ tlp.service tlp-sleep.service
	dh_installinit -p$@ --no-start -- defaults 98 01
	dh_systemd_start -p$@ --no-start
	dh_installman -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Install tlp-rdw 
tlp-rdw:
	dh_testdir
	dh_testroot
	dh_prep

	# install into debian/tlp-rdw.
	$(MAKE) DESTDIR=$(CURDIR)/debian/$@ install-rdw

	dh_installchangelogs -p$@
	dh_installdocs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Install 
install-indep: tlp tlp-rdw

# Build + Install
binary-indep: build-indep install-indep
binary-arch:
	# do nothing
binary: binary-indep binary-arch

# Run targets that don't result in corresponding files
.PHONY: clean tlp tlp-rdw binary-indep binary-arch binary install install-indep

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/TLP-$1\.tar\.gz/ \
  https://github.com/linrunner/TLP/tags .*/v?(\d\S*)\.tar\.gz

## tlp 0.9

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,16 @@
 # Makefile for TLP
 
-# Important: solely changing destination paths via parameter will
-#   render the installation unusable. You have to change several
-#   definitions and absolute paths in scripts too!
-
 # Evaluate parameters
-TLP_LIBDIR ?= /usr/lib
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
-TLP_TLIB    = $(TLP_LIBDIR)/tlp-pm
-TLP_PLIB    = $(TLP_LIBDIR)/pm-utils
+TLP_TLIB   ?= /usr/share/tlp-pm
+TLP_PLIB   ?= /usr/lib/pm-utils
 TLP_ULIB   ?= /lib/udev
-TLP_ACPI   ?= /etc/acpi
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
+TLP_MAN    ?= /usr/share/man
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -23,20 +18,45 @@
 _TLIB  = $(DESTDIR)$(TLP_TLIB)
 _PLIB  = $(DESTDIR)$(TLP_PLIB)
 _ULIB  = $(DESTDIR)$(TLP_ULIB)
-_ACPI  = $(DESTDIR)$(TLP_ACPI)
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
+_MAN   = $(DESTDIR)$(TLP_MAN)
+
+SED = sed \
+	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
+	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
+	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
+	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
+	-e "s|@TLP_CONF@|$(TLP_CONF)|g"
+
+INFILES = \
+	tlp \
+	tlp-functions \
+	tlp-nop \
+	tlp-rdw-nm \
+	tlp-rdw.rules \
+	tlp-rdw-udev \
+	tlp-rf \
+	tlp.rules \
+	tlp-run-on \
+	tlp.service \
+	tlp-sleep.service \
+	tlp-stat \
+	tlp.upstart \
+	tlp-usb-udev
 
 # Make targets
-all:
-	@true
+all: $(INFILES)
+
+$(INFILES): %: %.in
+	$(SED) $< > $@
 
 clean:
-	@true
+	rm -f $(INFILES)
 
-install-tlp:
+install-tlp: all
 	# Package tlp
 	install -D -m 755 tlp $(_SBIN)/tlp
 	install -D -m 755 tlp-rf $(_BIN)/bluetooth
@@ -52,7 +72,6 @@
 endif
 	install -D -m 755 tlp-functions $(_TLIB)/tlp-functions
 	install -m 755 tlp-rf-func $(_TLIB)/
-	install -m 755 tlp-nop $(_TLIB)/
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
@@ -64,19 +83,29 @@
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
 ifneq ($(TLP_NO_PMUTILS),1)
+	install -m 755 tlp-nop $(_TLIB)/
 	install -D -m 755 49tlp $(_PLIB)/sleep.d/49tlp
 endif
-	install -D -m 644 thinkpad-radiosw $(_ACPI)/events/thinkpad-radiosw
-	install -m 755 thinkpad-radiosw.sh $(_ACPI)/
 ifneq ($(TLP_NO_BASHCOMP),1)
 	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
+	ln -sf tlp $(_SHCPL)/tlp-stat
+	ln -sf tlp $(_SHCPL)/bluetooth
+	ln -sf tlp $(_SHCPL)/wifi
+	ln -sf tlp $(_SHCPL)/wwan
 endif
 
-install-rdw:
+install-rdw: all
 	# Package tlp-rdw
 	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
+
+install-man:
+	# manpages
+	install -d -m 755 $(_MAN)/man1
+	install -m 644 man/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1 $(_MAN)/man1/
+	install -d -m 755 $(_MAN)/man8
+	install -m 644 man/{tlp,tlp-stat}.8 $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -102,8 +131,10 @@
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
 	rm -f $(_PLIB)/sleep.d/49tlp
-	rm $(_ACPI)/events/thinkpad-radiosw
-	rm $(_ACPI)/thinkpad-radiosw.sh
+	rm -f $(_SHCPL)/tlp-stat
+	rm -f $(_SHCPL)/bluetooth
+	rm -f $(_SHCPL)/wifi
+	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
 
 uninstall-rdw:
@@ -112,5 +143,10 @@
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
 
+uninstall-man:
+	# manpages
+	rm $(_MAN)/man1/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1
+	rm $(_MAN)/man8/{tlp,tlp-stat}.8
+
 uninstall: uninstall-tlp uninstall-rdw

=== debian/changelog ===
tlp (0.9-3) unstable; urgency=low

  * [be57ce6] Fix invocation of dh_gencontrol with $(SUBSTVARS)
    Previous invocation lacked a double-dash before the options meant for
    dpkg-gencontrol, so dh_gencontrol didn't actually add the substitution
    variable (eg. linux-tools) to Recommends when building on Ubuntu.
    Thanks to Thomas Koch for spotting this.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 25 Jan 2017 01:35:31 +0100

tlp (0.9-2) unstable; urgency=low

  * [b8cbaa7] Recommend linux-tools on Ubuntu only (Closes: #852204)
  * [da84365] Add missing dependency on lsb-base

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 22 Jan 2017 23:18:29 +0100

tlp (0.9-1) unstable; urgency=medium

  * New upstream version 0.9

  [ Raphaël Halimi ]
  * Merge changes from upstream's debian/current branch

  [Thomas Koch]
  * debian/rules: add 'make clean' to clean target
  * debian/tlp.maintscript:
    - add rm_conffile /etc/acpi/events/thinkpad-radiosw,
      /etc/acpi/thinkpad-radiosw.sh (upstream removed feature)
  * debian/tlp.postinst,postrm:
    - upstream moved tlp-nop to /usr/share/tlp-pm/
    - use deb-systemd-helper to mask/unmask systemd-rfkill.service
  * debian/control:
    - Standards-Version: 3.9.8
    - point Vcs-git to https://...
  * debian/watch: adapt to GitHub releases

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 13 Sep 2016 04:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-systemd
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/tlp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlp.git
 Homepage: http://linrunner.de/tlp
 
 Package: tlp
 Architecture: all
 Depends: ${misc:Depends},
+         lsb-base,
          hdparm,
          iw | wireless-tools,
          pciutils,
@@ -19,8 +20,8 @@
          usbutils
 Recommends: tlp-rdw,
             ethtool,
-            linux-tools,
-            smartmontools
+            smartmontools,
+            ${dist:Recommends}
 Suggests: tp-smapi-dkms,
           acpi-call-dkms
 Conflicts: laptop-mode-tools

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+# Debian doesn't provide x86_energy_perf_policy, but Ubuntu does
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARS = -Vdist:Recommends="linux-tools"
+endif
+
 # Build: no binaries to build; but keeps lintian happy ...
 build-arch:
 	# do nothing
@@ -23,7 +28,7 @@
 	dh_testdir
 	dh_testroot
 	# add here commands to clean up after the build process.
-	# $(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 # Install tlp
@@ -47,7 +52,7 @@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
 	dh_shlibdeps -p$@
-	dh_gencontrol -p$@
+	dh_gencontrol -p$@ -- $(SUBSTVARS)
 	dh_md5sums -p$@
 	dh_builddeb -p$@

## tlp 1.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 # Evaluate parameters
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
-TLP_TLIB   ?= /usr/share/tlp-pm
+TLP_TLIB   ?= /usr/share/tlp
 TLP_PLIB   ?= /usr/lib/pm-utils
 TLP_ULIB   ?= /lib/udev
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
+TLP_SYSV   ?= /etc/init.d
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
 
@@ -21,6 +22,7 @@
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
+_SYSV  = $(DESTDIR)$(TLP_SYSV)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
 
@@ -46,6 +48,33 @@
 	tlp-stat \
 	tlp.upstart \
 	tlp-usb-udev
+
+MANFILES1 = \
+	bluetooth.1 \
+	run-on-ac.1 \
+	run-on-bat.1 \
+	tlp-pcilist.1 \
+	tlp-usblist.1 \
+	wifi.1 \
+	wwan.1
+
+MANFILES8 = \
+	tlp.8 \
+	tlp-stat.8 \
+	tlp.service.8 \
+	tlp-sleep.service.8
+
+SHFILES = \
+	tlp.in \
+	tlp-functions.in \
+	tlp-nop.in \
+	tlp-rdw-nm.in \
+	tlp-rdw-udev.in \
+	tlp-rf-func \
+	tlp-rf.in \
+	tlp-run-on.in \
+	tlp-stat.in \
+	tlp-usb-udev.in
 
 # Make targets
 all: $(INFILES)
@@ -76,7 +105,7 @@
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
 ifneq ($(TLP_NO_INIT),1)
-	install -D -m 755 tlp.init $(DESTDIR)/etc/init.d/tlp
+	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
 ifeq ($(TLP_WITH_SYSTEMD),1)
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
@@ -102,10 +131,10 @@
 
 install-man:
 	# manpages
-	install -d -m 755 $(_MAN)/man1
-	install -m 644 man/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1 $(_MAN)/man1/
-	install -d -m 755 $(_MAN)/man8
-	install -m 644 man/{tlp,tlp-stat}.8 $(_MAN)/man8/
+	install -d 755 $(_MAN)/man1
+	cd man && install -m 644 $(MANFILES1) $(_MAN)/man1/
+	install -d 755 $(_MAN)/man8
+	cd man && install -m 644 $(MANFILES8) $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -145,8 +174,10 @@
 
 uninstall-man:
 	# manpages
-	rm $(_MAN)/man1/{bluetooth,run-on-ac,run-on-bat,wifi,wwan}.1
-	rm $(_MAN)/man8/{tlp,tlp-stat}.8
+	cd $(_MAN)/man1 && rm -f $(MANFILES1)
+	cd $(_MAN)/man8 && rm -f $(MANFILES8)
 
 uninstall: uninstall-tlp uninstall-rdw
 
+checkbashisms:
+	checkbashisms $(SHFILES) || true

=== debian/changelog ===
tlp (1.0-1) unstable; urgency=medium

  * [b811fae] New upstream version 1.0 (Closes: #850293)

    Highlights:

    - General
      + TLP_PERSISTENT_DEFAULT: force battery settings on AC power
        (or vice versa)

    - Device bays
      + BAY_POWEROFF_ON_AC: power off optical drive on AC power

    - Graphics
      + Blacklist all dGPU's by default and use kernel default for Runtime PM
      + Improved compatibility with Bumblebee

    - Processor
      + CPU_HWP_ON_AC/BAT: HWP energy performance hints for Intel Skylake or
        newer

    - ThinkPad Battery
      + RESTORE_THRESHOLDS_ON_BAT: restore charge thresholds when unplugging
        AC
      + Detect Intel Kaby Lake (*70) models
      + tlp-stat: show "Charge total %" when more than one battery is present

    - USB
      Exclude certain devices from autosuspend to:
      + Solve stability issues with bluetooth devices (USB_BLACKLIST_BTUSB)
      + Enable phone charging (USB_BLACKLIST_PHONE)

  [ Thomas Koch ]
  * [639a7fe] debian/copyright,tlp.init: update copyright year
  * [a5de719] debian/tlp.postinst,postrm: tlp-nop moved to /usr/share/tlp
  * [00a4beb] debian/tlp.manpages: install everything in man/

  [ Raphaël Halimi ]
  * [b5691d7] debian/rules: use dh7 syntax
  * [f6a1c00] debian/tlp.docs: remove changelog
  * [faa8223] Use upstream init script
  * [5a705f1] Bump Standards-Version to 4.0.1, no changes needed
  * [070c629] Get rid of dh-systemd build-dep
  * [d54e072] Recommend linux-cpupower on non-Ubuntu
  * [9befab8] Add AppStream metadata (Closes: #838702)
  * [4c3ff3f] Link tlp-rdw documentation directory to tlp
  * [3de1e38] Add debian/README.Debian
  * [65e57ae] debian/gbp.conf: add spaces around equal signs

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 21 Aug 2017 17:42:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-systemd
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9.20160709)
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlp.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlp.git
 Homepage: http://linrunner.de/tlp
@@ -42,6 +41,7 @@
 
 Package: tlp-rdw
 Architecture: all
+Pre-Depends: dpkg (>= 1.17.14)
 Depends: ${misc:Depends},
          network-manager,
          tlp

## tlp 1.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 TLP_SYSV   ?= /etc/init.d
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
+TLP_META   ?= /usr/share/metainfo
+TLP_RUN    ?= /run/tlp
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -25,13 +27,16 @@
 _SYSV  = $(DESTDIR)$(TLP_SYSV)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
+_META  = $(DESTDIR)$(TLP_META)
+_RUN   = $(DESTDIR)$(TLP_RUN)
 
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
 	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
-	-e "s|@TLP_CONF@|$(TLP_CONF)|g"
+	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
+	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
 
 INFILES = \
 	tlp \
@@ -122,6 +127,7 @@
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
 endif
+	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 
 install-rdw: all
 	# Package tlp-rdw
@@ -165,6 +171,7 @@
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
+	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 
 uninstall-rdw:
 	# Package tlp-rdw

=== debian/changelog ===
tlp (1.1-2ubuntu1) bionic; urgency=medium

  * Demote linux-tools Recommends to Suggests and prefer generic (LP: #1783455)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2018 20:00:47 -0600

tlp (1.1-2) unstable; urgency=medium

  * [59b316a] Demote smartmontools from Recommends to Suggests
    smartmontools dependencies end up pulling in a mail server, which may
    not be wanted on desktop installations (Closes: 894150) (LP: 1758798)
  * [56bc43f] debian/control: cosmetic changes
  * [b407a57] debian/control: update Vcs-* URLs for Salsa migration
  * [5538eec] README.Debian: fix mix up between stable/oldstable/oldoldstable
  * [a78888a] Override lintian warning about unusual WantedBy target
  * [7b94358] Override lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 27 Mar 2018 15:02:15 +0200

tlp (1.1-1) unstable; urgency=medium

  * [44a3801] New upstream version 1.1

    Highlights:

    - Disks
      + SATA_LINKPWR_ON_AC/BAT: try multiple values to support new recommended
        ALPM policy "med_power_with_dipm" in kernel 4.15

    - Processor
      + ENERGY_PERF_POLICY_ON_AC/BAT: support changed values performance,
        balance-performance, default, balance-power, power

    - ThinkPad Battery
      + Support ThinkPad 13 1st & 2nd Gen, E130; new tpacpi-bat version
      + tlp-stat --psup: show ASLbase for tpacpi-bat (in device/path)
      + tlp discharge: show state of battery and force_discharge

    - USB
      + USB_BLACKLIST_PRINTER: exclude printers from autosuspend

  [ Thomas Koch ]
  * [05ce2a3] Use upstream de.linrunner.tlp.metainfo.xml

  [ Raphaël Halimi ]
  * [484d00d] debian/gbp.conf: enforce pristine-tar usage
  * [60287fa] debian/copyright: update copyrights years
  * [2095e80] Bump Standards-Version to 4.1.3

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 25 Jan 2018 11:03:15 +0100

=== debian/control ===
Source: tlp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9.20160709)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/moonsweep-guest/tlp
Vcs-Git: https://salsa.debian.org/moonsweep-guest/tlp.git
Homepage: http://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: lsb-base, hdparm, iw | wireless-tools, pciutils, rfkill, usbutils, ${misc:Depends}
Recommends: tlp-rdw, ethtool
Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Save battery power on laptops
 TLP is an advanced power management tool for Linux. It comes with a
 default configuration already optimized for battery life. At the same
 time it is highly customizable to fulfil specific user requirements.
 .
 TLP supplies separate settings profiles for AC and battery power and can
 enable or disable bluetooth, WiFi and WWAN radio devices upon system startup.
 .
 For ThinkPads it provides a unified way to configure charging thresholds and
 recalibrate the battery for all models which support it (via tp-smapi or
 acpi-call).
 .
 TLP is a pure command line tool with automated background tasks, it
 does not contain a GUI.

Package: tlp-rdw
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of:
  - bluetooth, wifi, wwan radio devices
  - upon network connect/disconnect
  - and dock/undock.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Debian and Ubuntu provide x86_energy_perf_policy in different packages
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Suggests="linux-tools-generic | linux-tools"
else
	SUBSTVARS = -Vdist:Suggests="linux-cpupower"
endif

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install -- TLP_WITH_SYSTEMD=1

override_dh_systemd_enable:
	dh_systemd_enable --package=tlp tlp.service tlp-sleep.service

override_dh_installinit:
	dh_installinit --package=tlp --no-start --only-scripts -- defaults 98 01

override_dh_systemd_start:
	dh_systemd_start --package=tlp --no-start

override_dh_gencontrol:
	dh_gencontrol --package=tlp -- $(SUBSTVARS)
	dh_gencontrol --remaining-packages

override_dh_installdocs:
	dh_installdocs --link-doc tlp

## tlp 1.2.1

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 TLP_SBIN   ?= /usr/sbin
 TLP_BIN    ?= /usr/bin
 TLP_TLIB   ?= /usr/share/tlp
-TLP_PLIB   ?= /usr/lib/pm-utils
+TLP_FLIB   ?= /usr/share/tlp/func.d
 TLP_ULIB   ?= /lib/udev
 TLP_NMDSP  ?= /etc/NetworkManager/dispatcher.d
 TLP_CONF   ?= /etc/default/tlp
 TLP_SYSD   ?= /lib/systemd/system
 TLP_SYSV   ?= /etc/init.d
+TLP_ELOD   ?= /lib/elogind/system-sleep
 TLP_SHCPL  ?= /usr/share/bash-completion/completions
 TLP_MAN    ?= /usr/share/man
 TLP_META   ?= /usr/share/metainfo
@@ -19,12 +20,13 @@
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
 _BIN   = $(DESTDIR)$(TLP_BIN)
 _TLIB  = $(DESTDIR)$(TLP_TLIB)
-_PLIB  = $(DESTDIR)$(TLP_PLIB)
+_FLIB  = $(DESTDIR)$(TLP_FLIB)
 _ULIB  = $(DESTDIR)$(TLP_ULIB)
 _NMDSP = $(DESTDIR)$(TLP_NMDSP)
 _CONF  = $(DESTDIR)$(TLP_CONF)
 _SYSD  = $(DESTDIR)$(TLP_SYSD)
 _SYSV  = $(DESTDIR)$(TLP_SYSV)
+_ELOD  = $(DESTDIR)$(TLP_ELOD)
 _SHCPL = $(DESTDIR)$(TLP_SHCPL)
 _MAN   = $(DESTDIR)$(TLP_MAN)
 _META  = $(DESTDIR)$(TLP_META)
@@ -33,18 +35,18 @@
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
-	-e "s|@TLP_PLIB@|$(TLP_PLIB)|g" \
+	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
 
 INFILES = \
 	tlp \
-	tlp-functions \
-	tlp-nop \
+	tlp-func-base \
 	tlp-rdw-nm \
 	tlp-rdw.rules \
 	tlp-rdw-udev \
+	tlp-rdw \
 	tlp-rf \
 	tlp.rules \
 	tlp-run-on \
@@ -69,13 +71,16 @@
 	tlp.service.8 \
 	tlp-sleep.service.8
 
+MANFILESRDW8 = \
+	tlp-rdw.8
+
 SHFILES = \
 	tlp.in \
-	tlp-functions.in \
-	tlp-nop.in \
+	tlp-func-base.in \
+	func.d/* \
+	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
-	tlp-rf-func \
 	tlp-rf.in \
 	tlp-run-on.in \
 	tlp-stat.in \
@@ -104,8 +109,8 @@
 ifneq ($(TLP_NO_TPACPI),1)
 	install -D -m 755 tpacpi-bat $(_TLIB)/tpacpi-bat
 endif
-	install -D -m 755 tlp-functions $(_TLIB)/tlp-functions
-	install -m 755 tlp-rf-func $(_TLIB)/
+	install -D -m 755 tlp-func-base $(_TLIB)/tlp-func-base
+	install -D -m 755 --target-directory $(_TLIB)/func.d func.d/*
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONF) ] || install -D -m 644 default $(_CONF)
@@ -116,9 +121,8 @@
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
-ifneq ($(TLP_NO_PMUTILS),1)
-	install -m 755 tlp-nop $(_TLIB)/
-	install -D -m 755 49tlp $(_PLIB)/sleep.d/49tlp
+ifeq ($(TLP_WITH_ELOGIND),1)
+	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
 	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
@@ -131,9 +135,13 @@
 
 install-rdw: all
 	# Package tlp-rdw
+	install -D -m 755 tlp-rdw $(_BIN)/tlp-rdw
 	install -D -m 644 tlp-rdw.rules $(_ULIB)/rules.d/85-tlp-rdw.rules
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
+ifneq ($(TLP_NO_BASHCOMP),1)
+	install -D -m 644 tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+endif
 
 install-man:
 	# manpages
@@ -141,6 +149,11 @@
 	cd man && install -m 644 $(MANFILES1) $(_MAN)/man1/
 	install -d 755 $(_MAN)/man8
 	cd man && install -m 644 $(MANFILES8) $(_MAN)/man8/
+
+install-man-rdw:
+	# manpages
+	install -d 755 $(_MAN)/man8
+	cd man-rdw && install -m 644 $(MANFILESRDW8) $(_MAN)/man8/
 
 install: install-tlp install-rdw
 
@@ -155,17 +168,13 @@
 	rm $(_BIN)/tlp-stat
 	rm $(_BIN)/tlp-usblist
 	rm $(_BIN)/tlp-pcilist
-	rm -f $(_TLIB)/tpacpi-bat
-	rm $(_TLIB)/tlp-functions
-	rm $(_TLIB)/tlp-rf-func
-	rm $(_TLIB)/tlp-nop
-	rmdir $(_TLIB)
+	rm -r $(_TLIB)
 	rm $(_ULIB)/tlp-usb-udev
 	rm $(_ULIB)/rules.d/85-tlp.rules
 	rm -f $(DESTDIR)/etc/init.d/tlp
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
-	rm -f $(_PLIB)/sleep.d/49tlp
+	rm -f $(_ELOD)/49-tlp-sleep
 	rm -f $(_SHCPL)/tlp-stat
 	rm -f $(_SHCPL)/bluetooth
 	rm -f $(_SHCPL)/wifi
@@ -175,16 +184,30 @@
 
 uninstall-rdw:
 	# Package tlp-rdw
+	rm $(_BIN)/tlp-rdw
 	rm $(_ULIB)/rules.d/85-tlp-rdw.rules
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
+	rm -f $(_SHCPL)/tlp-rdw
 
 uninstall-man:
 	# manpages
 	cd $(_MAN)/man1 && rm -f $(MANFILES1)
 	cd $(_MAN)/man8 && rm -f $(MANFILES8)
 
+uninstall-man-rdw:
+	# manpages
+	cd $(_MAN)/man8 && rm -f $(MANFILESRDW8)
+
 uninstall: uninstall-tlp uninstall-rdw
+
+checkall: checkbashisms shellcheck checkdupconst
 
 checkbashisms:
 	checkbashisms $(SHFILES) || true
+
+shellcheck:
+	shellcheck -s dash $(SHFILES) || true
+
+checkdupconst:
+	{ sed -n -r -e 's,^.*readonly\s+([A-Za-z_][A-Za-z_0-9]*)=.*$$,\1,p' $(SHFILES) | sort | uniq -d; } || true

=== debian/changelog ===
tlp (1.2.1-1) unstable; urgency=medium

  * [9c53a90] New upstream version 1.2 (LP: #1814083)
  * [c273e03] New upstream version 1.2.1 (bugfix release)

  Highlights:

  - Disks
    + Support for NVMe, USB, IEEE1394 devices
    + Support for multi queue I/O schedulers (blk-mq)

  - General
    + Manual mode: keep tlp ac/bat power settings (until reboot or tlp start)

  - Graphics
    + Intel GPU frequency limits

  - Radio Devices
    + tlp-rdw: new command to disable RDW actions temporarily (until reboot)
    + USB_BLACKLIST_WWAN: disable by default

  - ThinkPad Battery
    + New native kernel API for battery features "natacpi"; used by default
      for kernels >= 4.17
    + Support ThinkPad 25, *80 (Coffee Lake) and all newer models
    + tlp-stat: improved recommendations for external kernel modules

  - USB
    + Exclude scanners managed by libsane from autosuspend

  [ Thomas Koch ]
  * [047ba95] Remove all pm-utils related stuff
  * [dcfe4a1] Demote linux-tools Recommends to Suggests and prefer generic
    (LP: #1783455)
  * [0bd7f4b] debian/install: reflect func.d changes
  * [6148158] New command tlp-rdw
  * [c4d9030] debian/tlp.docs: README --> README.md
  * [e6fc28f] debian/control: use https for Homepage field

  [ Raphaël Halimi ]
  * [de3c365] Bump Standards-Version to 4.3.0
  * [d180097] debian/copyright: update copyrights years
  * [35e4c0a] debian/copyright: add AppStream metadata file license (MIT)
  * [f1798c6] Remove obsolete lintian override about unusual WantedBy target
    (fixed in lintian 2.5.118)
  * [4178f68] Include upstream elogind sleep hook

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 02 Apr 2019 19:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: tlp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/moonsweep-guest/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep-guest/tlp.git
-Homepage: http://linrunner.de/tlp
+Homepage: https://linrunner.de/tlp
 
 Package: tlp
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with systemd
 
 override_dh_auto_install:
-	dh_auto_install -- TLP_WITH_SYSTEMD=1
+	dh_auto_install -- TLP_WITH_SYSTEMD=1 TLP_WITH_ELOGIND=1
 
 override_dh_systemd_enable:
 	dh_systemd_enable --package=tlp tlp.service tlp-sleep.service

## tlp 1.2.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 TLP_MAN    ?= /usr/share/man
 TLP_META   ?= /usr/share/metainfo
 TLP_RUN    ?= /run/tlp
+TLP_VAR    ?= /var/lib/tlp
 
 # Catenate DESTDIR to paths
 _SBIN  = $(DESTDIR)$(TLP_SBIN)
@@ -31,6 +32,7 @@
 _MAN   = $(DESTDIR)$(TLP_MAN)
 _META  = $(DESTDIR)$(TLP_META)
 _RUN   = $(DESTDIR)$(TLP_RUN)
+_VAR   = $(DESTDIR)$(TLP_VAR)
 
 SED = sed \
 	-e "s|@TLP_SBIN@|$(TLP_SBIN)|g" \
@@ -38,7 +40,8 @@
 	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
-	-e "s|@TLP_RUN@|$(TLP_RUN)|g"
+	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
+	-e "s|@TLP_VAR@|$(TLP_VAR)|g"
 
 INFILES = \
 	tlp \
@@ -117,11 +120,11 @@
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
-ifeq ($(TLP_WITH_SYSTEMD),1)
+ifneq ($(TLP_WITH_SYSTEMD),0)
 	install -D -m 644 tlp.service $(_SYSD)/tlp.service
 	install -m 644 tlp-sleep.service $(_SYSD)/
 endif
-ifeq ($(TLP_WITH_ELOGIND),1)
+ifneq ($(TLP_WITH_ELOGIND),0)
 	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
@@ -132,6 +135,7 @@
 	ln -sf tlp $(_SHCPL)/wwan
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
+	install -d -m 755 $(_VAR)
 
 install-rdw: all
 	# Package tlp-rdw
@@ -171,7 +175,7 @@
 	rm -r $(_TLIB)
 	rm $(_ULIB)/tlp-usb-udev
 	rm $(_ULIB)/rules.d/85-tlp.rules
-	rm -f $(DESTDIR)/etc/init.d/tlp
+	rm -f $(_SYSV)/tlp
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SYSD)/tlp-sleep.service
 	rm -f $(_ELOD)/49-tlp-sleep
@@ -181,6 +185,7 @@
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
+	rm -r $(_VAR)
 
 uninstall-rdw:
 	# Package tlp-rdw

=== debian/changelog ===
tlp (1.2.2-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 04 Dec 2019 21:24:37 -0500

tlp (1.2.2-1) unstable; urgency=medium

  * [e8bc815] New upstream version 1.2.2 (bugfix release)

  Fixed bugs:

  - Battery Features, tlp-stat -b
    + Show data for batteries named other than BAT0/BAT1 (non-ThinkPads)
    + Fix ThinkPad X1C6 discharge malfunction
    + Separate checks for charge thresholds and recalibration
    + Intelligible recommendation for tp-smapi on ThinkPad X220/T420 et al.
    + Explain "Battery Features: Charge Thresholds and Recalibrate"

  - Disks
    + Fix type determination

  - Operation Mode AC/BAT
    + MacBookPro 5.3: workaround for false AC offline status

  - Processor, tlp-stat -p
    + Fix read of /sys/devices/system/cpu/cpufreq/boost
    + x86_energy_perf_policy: detect unsupported CPUs in newer versions

  - Radio Devices
    + Make RESTORE_DEVICE_STATE_ON_STARTUP=1 persistent again

  [ Thomas Koch ]
  * [33ccb36] tlp.postinst/rm: remove mask/unmask of upstart hooks.
  * [2102e62] debian/tlp.install: add /var/lib/tlp

  [ Raphaël Halimi ]
  * [15f1cb6] debian/rules: remove useless override_dh_auto_install
    (TLP_WITH_SYSTEMD and TLP_WITH_ELOGIND are now enabled by default)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 22 May 2019 16:52:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 
 %:
 	dh $@ --with systemd
-
-override_dh_auto_install:
-	dh_auto_install -- TLP_WITH_SYSTEMD=1 TLP_WITH_ELOGIND=1
 
 override_dh_systemd_enable:
 	dh_systemd_enable --package=tlp tlp.service tlp-sleep.service
